Next: va_arg, Up: Stdarg

#### 13.1.1 Initialize variable argument list

Synopsis

         #include <stdarg.h>
         void va_start(va_list ap, rightmost);

Description
Use `va_start` to initialize the variable argument list ap, so that `va_arg` can extract values from it. rightmost is the name of the last explicit argument in the parameter list (the argument immediately preceding the ellipsis ‘`...`’ that flags variable arguments in an ANSI C function header). You can only use `va_start` in a function declared using this ellipsis notation (not, for example, in one of its subfunctions).

Returns
`va_start` does not return a result.

Portability
ANSI C requires `va_start`.